package com.skelterlabs.aware

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent

interface ActivityEventHandler {
  fun onEvent(activityEvent: String)
}

class AwareActivityEventReceiver : BroadcastReceiver() {
  companion object {
    private var activityEventHandler: ActivityEventHandler? = null

    @JvmStatic
    fun setActivityEventHandler(handler: ActivityEventHandler) {
      activityEventHandler = handler
    }
  }

  override fun onReceive(context: Context, intent: Intent) {
    if (intent.action == AIQAware.ACTION_ACTIVITY_EVENT) {
      val activityEvent = intent.getStringExtra(AIQAware.EXTRA_ACTIVITY) ?: return
      activityEventHandler?.onEvent(activityEvent)
    }
  }
}
